Summary: POP3 daemon from Qualcomm
Name: qpopper
Version: 3.0.2
Release: 1
Serial:2000051901
Copyright:BSD 
Group: System Environment/Daemons
Source0:ftp.qualcomm.com/eudora/servers/unix/popper/qpopper3.0.2.tar.gz
Source1:qpopper.pamd
URL: http://www.eudora.com/qpopper/
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: pam >= 0.59
PreReq: grep,shadow-utils,psmisc,textutils,fileutils
BuildRequires: gcc-sg

%description
Qpopper is the most widely-used server for the POP3 protocol.
This allows users to access their mail using any POP3 client.
Qpopper supports the latest standards, and includes a large number of optional features.
Qpopper is normally used with standard UNIX mail transfer and delivery agents such as sendmail or smail.


%changelog
* Fri May 19 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- redid write spec file for TL

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}%{version}

%build
CC="gcc -V2.7.2.3" CFLAGS="$RPM_OPT_FLAGS" ./configure \
	    --prefix=/usr \
	    --enable-specialauth \
	    --with-pam=qpopper \
	    --with-popuid=pop \
	    --enable-apop=/etc/pop.auth \
	    --enable-bulletins=/var/spool/mail/bulletins
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man8}
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -d -m 755 $RPM_BUILD_ROOT/etc/pam.d/
install -m 755 -s popper/popper $RPM_BUILD_ROOT/usr/sbin/in.qpopper
sed -e 's#/usr/local/lib/popper#/usr/sbin/in.qpopper#g' < man/popper.8 > $RPM_BUILD_ROOT/usr/man/man8/in.qpopper.8
chmod 644 $RPM_BUILD_ROOT/usr/man/man8/in.qpopper.8
install -m 755 -s popper/popauth $RPM_BUILD_ROOT/usr/sbin/popauth
install -m 644 man/popauth.8 $RPM_BUILD_ROOT/usr/man/man8/popauth.8
install -m 755 -d $RPM_BUILD_ROOT/var/spool/mail/bulletins
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/qpopper

%clean
rm -rf $RPM_BUILD_ROOT

%pre
#Add pop user for APOP
if !(grep -q  ^pop /etc/passwd) then
	useradd -s /dev/null -d /dev/null -c "POP users" pop
fi

%post
#Add pop3 entry to /etc/inetd.conf and /etc/services
if !(grep -q qpopper /etc/inetd.conf ) then
	echo '#pop3  stream tcp nowait root /usr/sbin/in.qpopper qpopper -s' >> /etc/inetd.conf
fi
if !(grep -q ^pop3 /etc/services ) then
	echo 'pop3             110/tcp                         # POP V.3' >> /etc/services
fi

##create /etc/pop.auth 
#if [ -f /etc/pop.auth ]; then
#	mv /etc/pop.auth /etc/pop.auth.bak
#	/usr/sbin/popauth -init
#else
#	/usr/sbin/popauth -init
#fi

%preun
if [ $1=0 ]; then
	if (grep -q ^pop /etc/passwd) then
		userdel pop
	fi
fi

%postun
if [ $1=0 ]; then
	cat /etc/inetd.conf | grep -v "in.qpopper" > /etc/inetd.conf.bak
	mv /etc/inetd.conf.bak /etc/inetd.conf
	killall -q -HUP inetd
fi
%files
%defattr(-,root,root) 
%doc License.txt INSTALL README doc
%attr(-,root,mail) %dir /var/spool/mail/bulletins
/usr/sbin/in.qpopper
/usr/sbin/popauth
/usr/man/man8/in.qpopper.8
/usr/man/man8/popauth.8
%config /etc/pam.d/qpopper
